Bug 1015815 - [abrt] vim-X11-7.4.027-2.fc19: tputs: Process /usr/bin/gvim was killed by signal 11 (SIGSEGV)
[abrt] vim-X11-7.4.027-2.fc19: tputs: Process /usr/bin/gvim was killed by sig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
abrt_hash:c719e3032a02a6f2a14eed483a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 16:01 EDT by Dan Stahlke
Modified: 2014-09-19 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: vim-7.4.417-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 21:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.58 KB, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: core_backtrace (13.13 KB, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: dso_list (9.92 KB, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: maps (49.67 KB, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: open_fds (150 bytes, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2013-10-05 16:01 EDT, Dan Stahlke
no flags Details

  None (edit)
Description Dan Stahlke 2013-10-05 16:01:03 EDT
Description of problem:
1. Visual selection
2. Yank
3. Move cursor and paste
4. After the end of the pasted text, there was some spurious text (accidentally inserted by vim I presume).  This spurious text matches some text that occurs elsewhere in the file.
5. Upon deleting the spurious text (after maybe pressing <C-l> a few times), vim segfaulted.

Version-Release number of selected component:
vim-X11-7.4.027-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        vimx --servername VV /home/dstahlke/git/cmu-research/code/python_libs/lovasz.py
crash_function: tputs
executable:     /usr/bin/gvim
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Oct  4 16:37:33 psi abrt[30550]: Saved core dump of pid 13183 (/usr/bin/gvim) to /var/tmp/abrt/ccpp-2013-10-04-16:37:31-13183 (188006400 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tputs at ../../ncurses/tinfo/lib_tputs.c:295
 #1 out_str at term.c:2639
 #2 windgoto at screen.c:8860
 #3 prepare_to_exit at misc1.c:9159
 #4 preserve_exit at misc1.c:9185
 #6 __memmove_ssse3_back at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1662
 #7 memmove at /usr/include/bits/string3.h:57
 #8 ml_delete_int at memline.c:3241
 #9 ml_delete at memline.c:3104
 #10 del_lines at misc1.c:2586
Comment 1 Dan Stahlke 2013-10-05 16:01:07 EDT
Created attachment 808222 [details]
File: backtrace
Comment 2 Dan Stahlke 2013-10-05 16:01:09 EDT
Created attachment 808223 [details]
File: cgroup
Comment 3 Dan Stahlke 2013-10-05 16:01:12 EDT
Created attachment 808224 [details]
File: core_backtrace
Comment 4 Dan Stahlke 2013-10-05 16:01:15 EDT
Created attachment 808225 [details]
File: dso_list
Comment 5 Dan Stahlke 2013-10-05 16:01:18 EDT
Created attachment 808226 [details]
File: exploitable
Comment 6 Dan Stahlke 2013-10-05 16:01:20 EDT
Created attachment 808227 [details]
File: limits
Comment 7 Dan Stahlke 2013-10-05 16:01:23 EDT
Created attachment 808228 [details]
File: maps
Comment 8 Dan Stahlke 2013-10-05 16:01:25 EDT
Created attachment 808229 [details]
File: open_fds
Comment 9 Dan Stahlke 2013-10-05 16:01:28 EDT
Created attachment 808230 [details]
File: proc_pid_status
Comment 10 Fedora Update System 2014-08-13 10:58:08 EDT
vim-7.4.402-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc20
Comment 11 Fedora Update System 2014-08-13 10:58:31 EDT
vim-7.4.402-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.402-1.fc19
Comment 12 Fedora Update System 2014-08-15 20:28:31 EDT
Package vim-7.4.402-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.402-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9443/vim-7.4.402-1.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-08-22 21:53:56 EDT
vim-7.4.402-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-08-26 11:37:58 EDT
vim-7.4.417-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc20
Comment 15 Fedora Update System 2014-08-26 11:38:19 EDT
vim-7.4.417-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc19
Comment 16 Fedora Update System 2014-08-28 11:31:58 EDT
vim-7.4.417-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-09-19 06:05:45 EDT
vim-7.4.417-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.